{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "CE_ORDRE"; 
            externalType = NUMBER; 
            name = ceOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "CAN_ID"; 
            externalType = NUMBER; 
            name = canId; 
            valueClassName = NSNumber; 
            valueType = l; 
        }, 
        {
            allowsNull = Y; 
            columnName = "EXE_ORDRE"; 
            externalType = NUMBER; 
            name = exeOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "LOLF_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "DST_CODE"; }; 
            name = lolfId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PCO_NUM"; 
            externalType = VARCHAR2; 
            name = pcoNum; 
            valueClassName = NSString; 
            valueType = S; 
            width = 6; 
        }, 
        {
            allowsNull = Y; 
            columnName = "SD_AUTO"; 
            externalType = VARCHAR2; 
            name = sdAuto; 
            valueClassName = NSString; 
            valueType = S; 
            width = 30; 
        }, 
        {
            allowsNull = Y; 
            columnName = "SD_DATE_PREV"; 
            externalType = DATE; 
            name = sdDatePrev; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "SD_ETAT"; 
            externalType = NUMBER; 
            name = sdEtat; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "SD_LIBELLE"; 
            externalType = VARCHAR2; 
            name = sdLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            columnName = "SD_MONTANT_HT"; 
            externalType = NUMBER; 
            name = sdMontantHt; 
            precision = 12; 
            scale = 2; 
            valueClassName = NSDecimalNumber; 
            valueType = B; 
        }, 
        {
            columnName = "SD_ORDRE"; 
            externalType = NUMBER; 
            name = sdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "SDT_ORDRE"; 
            externalType = NUMBER; 
            name = sdtOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "SR_ORDRE_OWNER"; 
            externalType = NUMBER; 
            name = srOrdreOwner; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TCD_ORDRE"; 
            externalType = NUMBER; 
            name = tcdOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TRA_ORDRE"; 
            externalType = NUMBER; 
            name = traOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "TVA_ID"; 
            externalType = NUMBER; 
            name = tvaId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "FOURNIS_PERSID"; 
            externalType = NUMBER; 
            name = fournisPersId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "PVBU_ID"; 
            externalType = NUMBER; 
            name = pvbuId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ID_ADM_EB"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "ORG_ORDRE"; }; 
            name = idAdmEb; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        sdOrdre, 
        sdMontantHt, 
        sdtOrdre, 
        srOrdreOwner, 
        exeOrdre, 
        traOrdre, 
        lolfId, 
        canId, 
        ceOrdre, 
        tvaId, 
        fournisPersId, 
        pvbuId, 
        idAdmEb
    ); 
    className = "org.cocktail.fwkcktlgfcoperations.server.metier.operation.SbDepense"; 
    classProperties = (
        sdLibelle, 
        sdEtat, 
        sdMontantHt, 
        sdAuto, 
        sdtOrdre, 
        sdDatePrev, 
        tranche, 
        srOrdreOwner, 
        sbRecette, 
        canId, 
        ceOrdre, 
        organ, 
        typeCredit, 
        tva, 
        lolf, 
        fournisPersId, 
        planco, 
        exerciceCocktail
    ); 
    externalName = "GFC.SB_DEPENSE"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {"_nameInObjectStore" = "SB_DEPENSE"; }; 
    name = OpeSbDepense; 
    primaryKeyAttributes = (sdOrdre); 
    relationships = (
        {
            deleteRule = EODeleteRuleNoAction; 
            destination = "FwkGFCEos_ExerciceCocktail"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }); 
            name = exerciceCocktail; 
        }, 
        {
            destination = "FwkGFCEos_DestinationDepense"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = idDestinationDepense; sourceAttribute = lolfId; }); 
            name = lolf; 
        }, 
        {
            destination = "FwkGFCEos_Eb"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = IdAdmEb; sourceAttribute = idAdmEb; }); 
            name = organ; 
        }, 
        {
            destination = "FwkGFCEos_PlanComptableExer"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = exeOrdre; sourceAttribute = exeOrdre; }, 
                {destinationAttribute = pcoNum; sourceAttribute = pcoNum; }
            ); 
            name = planco; 
        }, 
        {
            destination = OpeSbRecette; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = srOrdre; sourceAttribute = srOrdreOwner; }); 
            name = sbRecette; 
        }, 
        {
            destination = OpeTranche; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = traOrdre; sourceAttribute = traOrdre; }); 
            name = tranche; 
        }, 
        {
            destination = "FwkGFCEos_Tva"; 
            isMandatory = Y; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tvaId; sourceAttribute = tvaId; }); 
            name = tva; 
        }, 
        {
            destination = "FwkGFCEos_TypeCredit"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tcdOrdre; sourceAttribute = tcdOrdre; }); 
            name = typeCredit; 
        }
    ); 
}
